Bug 165891 - Volume constantly adjusted towards zero in KDE
Volume constantly adjusted towards zero in KDE
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kdeutils (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-13 13:39 EDT by Chris Tracy
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: FC5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-22 17:13:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Tracy 2005-08-13 13:39:51 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050513 Galeon/1.3.21

Description of problem:
When launching a KDE session, at the "Initializing System Peripherials" stage, a kmix window and a borderless, always-on-top kmilo "Volume" notification window pop up.  The kmix window can be closed, minimized, etc.  The kmilo window, however cannot.  It stays there, displaying "0%"

Some testing shows that if I set the master volume of the system to a higher volume, it will quickly move down to zero as though someone were holding down a button to reduce the volume.  (ie, it's not a quick cut to zero, it goes through a range on the way down)  I can hear this decrease if I'm playing music at the time.

Investigation led me to find that kmilo is responsible for the window.  It's an OSD that's supposed to show up when you press a button on your laptop that controls volume.  Unfortunately, in this case, it seems by default to think you're always holding down the "volume decrease" button.

For now, I've disabled kmilo through kcontrol:

Control Center --> KDE Components --> Service Manager --> Startup Services

Version-Release number of selected component (if applicable):
kdeutils-3.4.2-0.fc3.1

How reproducible:
Always

Steps to Reproduce:
1.  Update to kdeutils-3.4.2-0 on and Inspiron 5150
2.  Run a KDE session
3.  Observe behavior
  

Actual Results:  The volume was continually decreased to zero and the kmilo window does not disappear, nor can it be killed.

Expected Results:  It should only show up when I'm actually pushing a button on my laptop to adjust the volume.

Additional info:

The system is a Dell Inspiron 5150 w/ the following specs:

CPU: P4 3.06GHz
RAM: 512MB
Soundcard: Intel Corp. 82801DB/DBL/DBM (snd_intel8x0)
Kernel: 2.6.11-1.35_FC3smp
Comment 1 Ngo Than 2006-06-22 17:13:05 EDT
it seems to fixed in the current FC4/FC5 (KDE-3.5.3). You should update to
new version please. Thanks for your report. 

Note You need to log in before you can comment on or make changes to this bug.